#include <Servo.h> // this program uses the Servo library

Servo LeftServo;   // create servo object to control both servos
Servo RightServo;  // a maximum of eight servos can be created

#define FAST  50   // try to change these values during the test
#define SLOW   5

 void setup()
{
 LeftServo.attach(9);    // attaches the servo on pin 9 to the servo object
 RightServo.attach(10);  // attaches the servo on pin 10 to the servo object
}

void loop()
{
 // FAST FORWARD
  LeftServo.write(90 + FAST);    // value 90 is in middle, i.e. stop
 RightServo.write(90 - FAST);    // mirrored position
            delay(1500);         // go fast forward for  1,5 s

 // SLOW FORWARD
  LeftServo.write(90 + SLOW);    // test varying speed of movement
 RightServo.write(90 - SLOW);
            delay(1500);

  LeftServo.write(90 - FAST);    // FAST BACKWARD
 RightServo.write(90 + FAST);
            delay(1500);

  LeftServo.write(90 + FAST);    // ROTATE (PIVOT) RIGHT
 RightServo.write(90 + FAST);
            delay(1500);

  LeftServo.write(90 - FAST);    // ROTATE (PIVOT) LEFT
 RightServo.write(90 - FAST);
            delay(1500);

  LeftServo.write(90);           // STOP both motors
 RightServo.write(90);

              for(;;);           // stop the program operation here

}   /* End of Loop */

